import { AutoScalingGroup } from '@aws-cdk/aws-autoscaling';
import { Cluster } from '@aws-cdk/aws-eks';
import * as route53 from '@aws-cdk/aws-route53';
import { Construct } from '@aws-cdk/core';
export interface PrivateCAProps {
    readonly cluster: Cluster;
    readonly nodegroup: AutoScalingGroup;
    readonly namespace: String;
    readonly cacertname: String;
    readonly dnsNames: String[];
    readonly hostedZoneName: string;
    readonly clusterIssuerName: String;
}
export declare class PrivateCA extends Construct {
    private_ca_arn: string;
    route53_zone: route53.PrivateHostedZone;
    constructor(scope: Construct, id: string, props: PrivateCAProps);
}
